Open CASCADE Technology: PDataStd_BooleanArray Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_BooleanArray Class Reference

`#include <PDataStd_BooleanArray.hxx>`

Inheritance diagram for PDataStd_BooleanArray:
[legend]

## Public Member Functions
| PDataStd_BooleanArray ()
void | SetLower (const Standard_Integer lower)
void | SetUpper (const Standard_Integer upper)
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | Set (const Handle< PColStd_HArray1OfInteger > &values)
const Handle< PColStd_HArray1OfInteger > & | Get () const
| PDataStd_BooleanArray (const Storage_stCONSTclCOM &a)
Handle< PColStd_HArray1OfInteger > | _CSFDB_GetPDataStd_BooleanArraymyValues () const
void | _CSFDB_SetPDataStd_BooleanArraymyValues (const Handle< PColStd_HArray1OfInteger > &p)
Standard_Integer | _CSFDB_GetPDataStd_BooleanArraymyLower () const
void | _CSFDB_SetPDataStd_BooleanArraymyLower (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_BooleanArraymyUpper () const
void | _CSFDB_SetPDataStd_BooleanArraymyUpper (const Standard_Integer p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_BooleanArray::PDataStd_BooleanArray | ( |  | ) |

PDataStd_BooleanArray::PDataStd_BooleanArray | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Standard_Integer PDataStd_BooleanArray::_CSFDB_GetPDataStd_BooleanArraymyLower | ( |  | ) | const
| inline

Standard_Integer PDataStd_BooleanArray::_CSFDB_GetPDataStd_BooleanArraymyUpper | ( |  | ) | const
| inline

Handle< PColStd_HArray1OfInteger > PDataStd_BooleanArray::_CSFDB_GetPDataStd_BooleanArraymyValues | ( |  | ) | const
| inline

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyLower | ( | const Standard_Integer | p | ) |
| inline

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyUpper | ( | const Standard_Integer | p | ) |
| inline

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyValues | ( | const Handle< PColStd_HArray1OfInteger > & | p | ) |
| inline

const Handle< PColStd_HArray1OfInteger >& PDataStd_BooleanArray::Get | ( |  | ) | const

Standard_Integer PDataStd_BooleanArray::Lower | ( |  | ) | const

void PDataStd_BooleanArray::Set | ( | const Handle< PColStd_HArray1OfInteger > & | values | ) |

void PDataStd_BooleanArray::SetLower | ( | const Standard_Integer | lower | ) |

void PDataStd_BooleanArray::SetUpper | ( | const Standard_Integer | upper | ) |

Standard_Integer PDataStd_BooleanArray::Upper | ( |  | ) | const

The documentation for this class was generated from the following file:

- PDataStd_BooleanArray.hxx